Bug 279791 - phonon gstreamer crashes when I play a ogg audio file [@ Phonon::Gstreamer::AudioDataOutput::processBuffer]
Summary: phonon gstreamer crashes when I play a ogg audio file [@ Phonon::Gstreamer::A...
Status: RESOLVED UNMAINTAINED
Alias: None
Product: phonon-backend-gstreamer
Classification: Unclassified
Component: general (show other bugs)
Version: 4.6.2
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: 4.7
Assignee: Harald Sitter
URL:
Keywords:
: 298192 301144 306665 308044 308650 309629 312277 316678 329424 342035 353739 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-08-10 08:39 UTC by Bernd Buschinski
Modified: 2015-10-10 14:38 UTC (History)
14 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Buschinski 2011-08-10 08:39:46 UTC
Version:           unspecified (using KDE 4.7.0) 
OS:                Linux

amarok and dragonplayer are crashing when I try to play an ogg audio file with phonon gstreamer backend

phonon + phonon-gstreamer: todays git master
gstreamer-0.10.35
gst-plugins-ogg-0.10.35
gst-plugins-bad-0.10.22
gst-plugins-base-0.10.35
gst-plugins-good-0.10.30
gst-plugins-ugly-0.10.18

Reproducible: Always

Steps to Reproduce:
- set gstreamer phonon backend
- start an ogg file with dragonplayer/amarok

Actual Results:  
it crashes

Expected Results:  
it should play the file just fine like other media player

Application: Dragon Player (dragon), signal: Aborted
__lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:136
	in ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S
[Current thread is 1 (Thread 0x7f9a8a364760 (LWP 4789))]

Thread 9 (Thread 0x7f9a73b9d700 (LWP 4792)):
#0  0x00007f9a86cde1cd in nanosleep () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f9a82d65bf2 in g_usleep (microseconds=<optimized out>) at gtimer.c:253
#2  0x00007f9a73daf65f in gst_xvimagesink_event_thread (xvimagesink=0x1178000) at xvimagesink.c:1650
#3  0x00007f9a82d62696 in g_thread_create_proxy (data=0x15c5d10) at gthread.c:1955
#4  0x00007f9a77a4dbc3 in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#5  0x00007f9a85385e6c in start_thread (arg=0x7f9a73b9d700) at pthread_create.c:301
#6  0x00007f9a86d0c70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7f9a7106f700 (LWP 4793)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f9a77595f58 in gst_data_queue_push (queue=0x1616b20, item=0x7f9a6c00b2a0) at gstdataqueue.c:436
#2  0x00007f9a73179179 in gst_multi_queue_chain (pad=<optimized out>, buffer=<optimized out>) at gstmultiqueue.c:1254
#3  0x00007f9a78abccec in gst_pad_push (pad=0x1614a00, buffer=0x1667b90) at gstpad.c:4684
#4  0x00007f9a716b7d6e in gst_ogg_demux_chain_peer (pad=0x1614a00, packet=0x7f9a7106ea80, push_headers=0) at gstoggdemux.c:601
#5  0x00007f9a716bb7bf in gst_ogg_pad_submit_packet (packet=0x7f9a7106ea80, pad=0x1614a00) at gstoggdemux.c:923
#6  gst_ogg_pad_stream_out (pad=0x1614a00, npackets=0) at gstoggdemux.c:956
#7  0x00007f9a716bc552 in gst_ogg_pad_submit_page (pad=0x1614a00, page=0x7f9a7106ebb0) at gstoggdemux.c:1032
#8  0x00007f9a716bf05d in gst_ogg_demux_chain (pad=<optimized out>, buffer=<optimized out>) at gstoggdemux.c:3165
#9  0x00007f9a716bf58a in gst_ogg_demux_loop_forward (ogg=0x160e1a0) at gstoggdemux.c:3281
#10 gst_ogg_demux_loop (pad=<optimized out>) at gstoggdemux.c:3423
#11 0x00007f9a78ae2460 in gst_task_func (task=0x1611020) at gsttask.c:318
#12 0x00007f9a82d64cc0 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:319
#13 0x00007f9a82d62696 in g_thread_create_proxy (data=0x160ca40) at gthread.c:1955
#14 0x00007f9a77a4dbc3 in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#15 0x00007f9a85385e6c in start_thread (arg=0x7f9a7106f700) at pthread_create.c:301
#16 0x00007f9a86d0c70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7f9a7086e700 (LWP 4794)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f9a7317d63d in gst_queue_chain (pad=<optimized out>, buffer=0x17705b0) at gstqueue.c:1013
#2  0x00007f9a78abccec in gst_pad_push (pad=0x16188d0, buffer=0x17705b0) at gstpad.c:4684
#3  0x00007f9a78abccec in gst_pad_push (pad=0x164cb30, buffer=0x17705b0) at gstpad.c:4684
#4  0x00007f9a71de402c in gst_stream_synchronizer_sink_chain (pad=<optimized out>, buffer=0x17705b0) at gststreamsynchronizer.c:586
#5  0x00007f9a78abccec in gst_pad_push (pad=0x164ccb0, buffer=0x17705b0) at gstpad.c:4684
#6  0x00007f9a7318842f in gst_tee_chain (pad=<optimized out>, buffer=0x17705b0) at gsttee.c:827
#7  0x00007f9a78abccec in gst_pad_push (pad=0x1618720, buffer=0x17705b0) at gstpad.c:4684
#8  0x00007f9a78abccec in gst_pad_push (pad=0x15ab940, buffer=0x17705b0) at gstpad.c:4684
#9  0x00007f9a731745d2 in gst_selector_pad_chain (pad=0x15a8890, buf=0x17705b0) at gstinputselector.c:732
#10 0x00007f9a78abccec in gst_pad_push (pad=0x1259e00, buffer=0x17705b0) at gstpad.c:4684
#11 0x00007f9a78abccec in gst_pad_push (pad=0x15c9990, buffer=0x17705b0) at gstpad.c:4684
#12 0x00007f9a78abccec in gst_pad_push (pad=0x15ab7c0, buffer=0x17705b0) at gstpad.c:4684
#13 0x00007f9a6bdf5e0d in vorbis_handle_data_packet (duration=23219955, timestamp=8589931972, packet=0x7f9a7086dae0, vd=0x11acdc0) at gstvorbisdec.c:954
#14 vorbis_dec_decode_buffer (vd=0x11acdc0, buffer=<optimized out>) at gstvorbisdec.c:1040
#15 0x00007f9a6bdf6f53 in vorbis_dec_chain_forward (buffer=0x1756aa0, vd=0x11acdc0, discont=<optimized out>) at gstvorbisdec.c:1217
#16 vorbis_dec_chain (pad=<optimized out>, buffer=0x1756aa0) at gstvorbisdec.c:1246
#17 0x00007f9a78abccec in gst_pad_push (pad=0x15ab4c0, buffer=0x1756aa0) at gstpad.c:4684
#18 0x00007f9a73179b80 in gst_single_queue_push_one (object=0x1756aa0, sq=0x7f9a6c001b70, mq=0x1617000) at gstmultiqueue.c:981
#19 gst_multi_queue_loop (pad=<optimized out>) at gstmultiqueue.c:1179
#20 0x00007f9a78ae2460 in gst_task_func (task=0x1611620) at gsttask.c:318
#21 0x00007f9a82d64cc0 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:319
#22 0x00007f9a82d62696 in g_thread_create_proxy (data=0x141f6e0) at gthread.c:1955
#23 0x00007f9a77a4dbc3 in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#24 0x00007f9a85385e6c in start_thread (arg=0x7f9a7086e700) at pthread_create.c:301
#25 0x00007f9a86d0c70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7f9a6b6f3700 (LWP 4795)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f9a7317d63d in gst_queue_chain (pad=<optimized out>, buffer=0x16a9080) at gstqueue.c:1013
#2  0x00007f9a78abccec in gst_pad_push (pad=0x125a3d0, buffer=0x16a9080) at gstpad.c:4684
#3  0x00007f9a78abccec in gst_pad_push (pad=0x164c830, buffer=0x16a9080) at gstpad.c:4684
#4  0x00007f9a7758b8a7 in gst_base_transform_chain (pad=<optimized out>, buffer=<optimized out>) at gstbasetransform.c:2458
#5  0x00007f9a78abccec in gst_pad_push (pad=0x164c530, buffer=0x16a9080) at gstpad.c:4684
#6  0x00007f9a7758b8a7 in gst_base_transform_chain (pad=<optimized out>, buffer=<optimized out>) at gstbasetransform.c:2458
#7  0x00007f9a78abccec in gst_pad_push (pad=0x164c230, buffer=0x16a9080) at gstpad.c:4684
#8  0x00007f9a7758b8a7 in gst_base_transform_chain (pad=<optimized out>, buffer=<optimized out>) at gstbasetransform.c:2458
#9  0x00007f9a78abccec in gst_pad_push (pad=0x15abdc0, buffer=0x16a9080) at gstpad.c:4684
#10 0x00007f9a7317e53a in gst_queue_push_one (queue=0x12275c0) at gstqueue.c:1155
#11 gst_queue_loop (pad=<optimized out>) at gstqueue.c:1263
#12 0x00007f9a78ae2460 in gst_task_func (task=0x1657000) at gsttask.c:318
#13 0x00007f9a82d64cc0 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:319
#14 0x00007f9a82d62696 in g_thread_create_proxy (data=0x1653070) at gthread.c:1955
#15 0x00007f9a77a4dbc3 in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#16 0x00007f9a85385e6c in start_thread (arg=0x7f9a6b6f3700) at pthread_create.c:301
#17 0x00007f9a86d0c70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7f9a6aef2700 (LWP 4796)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f9a7317d63d in gst_queue_chain (pad=<optimized out>, buffer=0x18035c0) at gstqueue.c:1013
#2  0x00007f9a78abccec in gst_pad_push (pad=0x125a730, buffer=0x18035c0) at gstpad.c:4684
#3  0x00007f9a78abccec in gst_pad_push (pad=0x14ab1f0, buffer=0x18035c0) at gstpad.c:4684
#4  0x00007f9a73187fe0 in gst_tee_do_push (is_list=0, data=0x18035c0, pad=0x14ab1f0, tee=0x116d8a0) at gsttee.c:674
#5  gst_tee_handle_data (tee=0x116d8a0, data=0x18035c0, is_list=0) at gsttee.c:753
#6  0x00007f9a7318842f in gst_tee_chain (pad=<optimized out>, buffer=0x18035c0) at gsttee.c:827
#7  0x00007f9a78abccec in gst_pad_push (pad=0x1431b10, buffer=0x18035c0) at gstpad.c:4684
#8  0x00007f9a7317e53a in gst_queue_push_one (queue=0x12266c0) at gstqueue.c:1155
#9  gst_queue_loop (pad=<optimized out>) at gstqueue.c:1263
#10 0x00007f9a78ae2460 in gst_task_func (task=0x1611e20) at gsttask.c:318
#11 0x00007f9a82d64cc0 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:319
#12 0x00007f9a82d62696 in g_thread_create_proxy (data=0x16528a0) at gthread.c:1955
#13 0x00007f9a77a4dbc3 in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#14 0x00007f9a85385e6c in start_thread (arg=0x7f9a6aef2700) at pthread_create.c:301
#15 0x00007f9a86d0c70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7f9a6a6f1700 (LWP 4797)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f9a7317de94 in gst_queue_loop (pad=<optimized out>) at gstqueue.c:1251
#2  0x00007f9a78ae2460 in gst_task_func (task=0x1611d20) at gsttask.c:318
#3  0x00007f9a82d64cc0 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:319
#4  0x00007f9a82d62696 in g_thread_create_proxy (data=0x1653230) at gthread.c:1955
#5  0x00007f9a77a4dbc3 in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#6  0x00007f9a85385e6c in start_thread (arg=0x7f9a6a6f1700) at pthread_create.c:301
#7  0x00007f9a86d0c70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7f9a69ef0700 (LWP 4798)):
[KCrash Handler]
#6  0x00007f9a86c6c865 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f9a86c6dcdb in __GI_abort () at abort.c:92
#8  0x00007f9a875be2c4 in qt_message_output (msgType=<optimized out>, buf=<optimized out>) at global/qglobal.cpp:2282
#9  0x00007f9a875be44f in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=QtFatalMsg, msg=0x7f9a877231f8 "ASSERT failure in %s: \"%s\", file %s, line %d", ap=0x7f9a69eeee88) at global/qglobal.cpp:2328
#10 0x00007f9a875be5f4 in qFatal (msg=<optimized out>) at global/qglobal.cpp:2511
#11 0x00007f9a78d92cf4 in operator[] (i=261, this=0x144e298) at /usr/include/qt4/QtCore/qvector.h:347
#12 Phonon::Gstreamer::AudioDataOutput::processBuffer (buffer=<optimized out>, gThat=0x144e210) at /var/tmp/portage/media-libs/phonon-gstreamer-9999/work/phonon-backend-gstreamer-9999/gstreamer/audiodataoutput.cpp:162
#13 0x00007f9a781d904e in g_closure_invoke (closure=0x1449620, return_value=0x0, n_param_values=3, param_values=0x16ed850, invocation_hint=0x7f9a69eef1f0) at gclosure.c:767
#14 0x00007f9a781e9c3b in signal_emit_unlocked_R (node=<optimized out>, detail=0, instance=0x14a8240, emission_return=0x0, instance_and_params=0x16ed850) at gsignal.c:3252
#15 0x00007f9a781f35ea in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=<optimized out>) at gsignal.c:2983
#16 0x00007f9a781f3792 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3040
#17 0x00007f9a7316827b in gst_fake_sink_render (bsink=0x14a8240, buf=0x103bf00) at gstfakesink.c:534
#18 0x00007f9a7757b657 in gst_base_sink_render_object (basesink=0x14a8240, obj_type=<optimized out>, obj=0x103bf00, pad=<optimized out>) at gstbasesink.c:3005
#19 0x00007f9a7757de8f in gst_base_sink_queue_object_unlocked (basesink=0x14a8240, obj_type=2 '\002', obj=0x103bf00, prerollable=<optimized out>, pad=<optimized out>) at gstbasesink.c:3286
#20 0x00007f9a7757e1e7 in gst_base_sink_chain_unlocked (basesink=0x14a8240, obj_type=2 '\002', obj=0x103bf00, pad=<optimized out>) at gstbasesink.c:3665
#21 0x00007f9a7757e5bf in gst_base_sink_chain_main (basesink=0x14a8240, pad=0x1434510, obj_type=2 '\002', obj=0x103bf00) at gstbasesink.c:3703
#22 0x00007f9a78abccec in gst_pad_push (pad=0x1434e10, buffer=0x103bf00) at gstpad.c:4684
#23 0x00007f9a7758b8a7 in gst_base_transform_chain (pad=<optimized out>, buffer=<optimized out>) at gstbasetransform.c:2458
#24 0x00007f9a78abccec in gst_pad_push (pad=0x1434b10, buffer=0x103bf00) at gstpad.c:4684
#25 0x00007f9a7758b8a7 in gst_base_transform_chain (pad=<optimized out>, buffer=<optimized out>) at gstbasetransform.c:2458
#26 0x00007f9a78abccec in gst_pad_push (pad=0x1434810, buffer=0x17a14a0) at gstpad.c:4684
#27 0x00007f9a7317e53a in gst_queue_push_one (queue=0x1226bc0) at gstqueue.c:1155
#28 gst_queue_loop (pad=<optimized out>) at gstqueue.c:1263
#29 0x00007f9a78ae2460 in gst_task_func (task=0x1611c20) at gsttask.c:318
#30 0x00007f9a82d64cc0 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:319
#31 0x00007f9a82d62696 in g_thread_create_proxy (data=0x1650560) at gthread.c:1955
#32 0x00007f9a77a4dbc3 in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#33 0x00007f9a85385e6c in start_thread (arg=0x7f9a69ef0700) at pthread_create.c:301
#34 0x00007f9a86d0c70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7f9a696ef700 (LWP 4799)):
#0  0x00007f9a86d03bd3 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f9a79243452 in snd1_pcm_wait_nocheck (pcm=0x15ca560, timeout=40) at pcm.c:2367
#2  0x00007f9a741e304a in gst_alsasink_write (asink=0x13b2e30, data=<optimized out>, length=15048) at gstalsasink.c:865
#3  0x00007f9a73fcd618 in audioringbuffer_thread_func (buf=0x1182040) at gstaudiosink.c:244
#4  0x00007f9a82d62696 in g_thread_create_proxy (data=0x158b6c0) at gthread.c:1955
#5  0x00007f9a77a4dbc3 in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#6  0x00007f9a85385e6c in start_thread (arg=0x7f9a696ef700) at pthread_create.c:301
#7  0x00007f9a86d0c70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f9a8a364760 (LWP 4789)):
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:136
#1  0x00007f9a85388095 in _L_lock_884 () from /lib64/libpthread.so.0
#2  0x00007f9a85387eea in __pthread_mutex_lock (mutex=0x1448df0) at pthread_mutex_lock.c:61
#3  0x00007f9a775761ad in gst_base_sink_change_state (element=0x14a8240, transition=GST_STATE_CHANGE_PLAYING_TO_PAUSED) at gstbasesink.c:5038
#4  0x00007f9a731684ac in gst_fake_sink_change_state (element=0x14a8240, transition=GST_STATE_CHANGE_PLAYING_TO_PAUSED) at gstfakesink.c:577
#5  0x00007f9a78aa0a2c in gst_element_change_state (element=<optimized out>, transition=<optimized out>) at gstelement.c:2718
#6  0x00007f9a78aa1412 in gst_element_set_state_func (element=0x14a8240, state=GST_STATE_PAUSED) at gstelement.c:2674
#7  0x00007f9a78a8e10a in gst_bin_element_set_state (next=GST_STATE_PAUSED, current=GST_STATE_PLAYING, start_time=0, base_time=0, element=0x14a8240, bin=0x11a15c0) at gstbin.c:2193
#8  gst_bin_change_state_func (element=0x11a15c0, transition=GST_STATE_CHANGE_PLAYING_TO_PAUSED) at gstbin.c:2489
#9  0x00007f9a78aa0a2c in gst_element_change_state (element=<optimized out>, transition=<optimized out>) at gstelement.c:2718
#10 0x00007f9a78aa1412 in gst_element_set_state_func (element=0x11a15c0, state=GST_STATE_NULL) at gstelement.c:2674
#11 0x00007f9a78d92672 in Phonon::Gstreamer::AudioDataOutput::~AudioDataOutput (this=0x144e210, __in_chrg=<optimized out>) at /var/tmp/portage/media-libs/phonon-gstreamer-9999/work/phonon-backend-gstreamer-9999/gstreamer/audiodataoutput.cpp:84
#12 0x00007f9a78d92709 in Phonon::Gstreamer::AudioDataOutput::~AudioDataOutput (this=0x144e210, __in_chrg=<optimized out>) at /var/tmp/portage/media-libs/phonon-gstreamer-9999/work/phonon-backend-gstreamer-9999/gstreamer/audiodataoutput.cpp:86
#13 0x00007f9a89423324 in Phonon::MediaNodePrivate::deleteBackendObject (this=0x1449680) at /var/tmp/portage/media-libs/phonon-9999/work/phonon-9999/phonon/medianode.cpp:81
#14 0x00007f9a89410290 in Phonon::FactoryPrivate::~FactoryPrivate (this=0xee8970, __in_chrg=<optimized out>) at /var/tmp/portage/media-libs/phonon-9999/work/phonon-9999/phonon/factory.cpp:225
#15 0x00007f9a89410599 in Phonon::FactoryPrivate::~FactoryPrivate (this=0xee8970, __in_chrg=<optimized out>) at /var/tmp/portage/media-libs/phonon-9999/work/phonon-9999/phonon/factory.cpp:235
#16 0x00007f9a86c6f351 in __run_exit_handlers (status=1, listp=0x7f9a86fba4c8, run_list_atexit=true) at exit.c:78
#17 0x00007f9a86c6f3d5 in __GI_exit (status=<optimized out>) at exit.c:100
#18 0x00007f9a883a3518 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:772
#19 0x00007f9a898a22e8 in KApplication::xioErrhandler (this=0x7fffc412e390, dpy=0xc4c730) at /var/tmp/portage/kde-base/kdelibs-4.7.0-r1/work/kdelibs-4.7.0/kdeui/kernel/kapplication.cpp:419
#20 0x00007f9a85e813ee in _XIOError (dpy=0xc4c730) at /var/tmp/portage/x11-libs/libX11-1.4.4/work/libX11-1.4.4/src/XlibInt.c:1618
#21 0x00007f9a85e7ec1d in _XEventsQueued (dpy=0xc4c730, mode=<optimized out>) at /var/tmp/portage/x11-libs/libX11-1.4.4/work/libX11-1.4.4/src/xcb_io.c:365
#22 0x00007f9a85e6f57f in XEventsQueued (dpy=0xc4c730, mode=2) at /var/tmp/portage/x11-libs/libX11-1.4.4/work/libX11-1.4.4/src/Pending.c:43
#23 0x00007f9a883dd6ac in x11EventSourceCheck (s=0xc20160) at kernel/qguieventdispatcher_glib.cpp:85
#24 0x00007f9a82d3ca64 in g_main_context_check (context=0xc1f0e0, max_priority=2147483647, fds=<optimized out>, n_fds=<optimized out>) at gmain.c:2962
#25 0x00007f9a82d3d332 in g_main_context_iterate (context=0xc1f0e0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3089
#26 0x00007f9a82d3d849 in g_main_context_iteration (context=0xc1f0e0, may_block=1) at gmain.c:3155
#27 0x00007f9a876ead2f in QEventDispatcherGlib::processEvents (this=0xbff3e0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#28 0x00007f9a883dd87e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#29 0x00007f9a876bb1a2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#30 0x00007f9a876bb39f in QEventLoop::exec (this=0x7fffc412e350, flags=...) at kernel/qeventloop.cpp:201
#31 0x00007f9a876c07e7 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#32 0x000000000041bf52 in main (argc=<optimized out>, argv=0x7fffc412e6e8) at /var/tmp/portage/kde-base/dragonplayer-4.7.0/work/dragonplayer-4.7.0/dragonplayer/src/app/main.cpp:57
Comment 1 Romain Perier 2011-08-16 21:29:11 UTC
Fixed in commit 1a62654cdeeecc092da97e4e831ee44124c6d665
Thanks for the report
Comment 2 Myriam Schweingruber 2012-06-04 07:38:11 UTC
*** Bug 301144 has been marked as a duplicate of this bug. ***
Comment 3 Alex Elsayed 2012-06-04 08:53:56 UTC
First of all, thanks Myriam for pointing this bug out - not sure why I hadn't found it; I searched a bit before using drkonqi to submit the other one.

As far as my phonon-gstreamer version (as asked on the other bug), I'm on git HEAD c794f0ec3f8a6f18b878b1a0c59f54df9805f292, so definitely after the fix in comment #1, which 'git log' confirms.
Comment 4 Myriam Schweingruber 2012-06-04 13:01:14 UTC
Reopening based on comment #3
Comment 5 Harald Sitter 2012-06-05 18:43:12 UTC
Git commit d8590884e55f00cc7d5b80c1090749acc4b62ddc by Harald Sitter.
Committed on 05/06/2012 at 20:42.
Pushed by sitter into branch 'master'.

fix crash due to wrong placed return

always returned after fist append. this in turn caused the pending buffer
to be no longer a multiple of the channel count ultimately leading to
a mismatch between per-channel buffer sizes (as catched by the
assert introduced 2 commits ago)

M  +3    -3    gstreamer/audiodataoutput.cpp

http://commits.kde.org/phonon-gstreamer/d8590884e55f00cc7d5b80c1090749acc4b62ddc
Comment 6 Harald Sitter 2012-06-05 18:47:34 UTC
Git commit 1b4f661fe4e648e60b20bbf7796b833d77b1cc94 by Harald Sitter.
Committed on 05/06/2012 at 20:42.
Pushed by sitter into branch '4.6'.

fix crash due to wrong placed return

always returned after fist append. this in turn caused the pending buffer
to be no longer a multiple of the channel count ultimately leading to
a mismatch between per-channel buffer sizes (as catched by the
assert introduced 2 commits ago)

M  +3    -3    gstreamer/audiodataoutput.cpp

http://commits.kde.org/phonon-gstreamer/1b4f661fe4e648e60b20bbf7796b833d77b1cc94
Comment 7 Harald Sitter 2012-06-05 18:48:28 UTC
*** Bug 298192 has been marked as a duplicate of this bug. ***
Comment 8 Myriam Schweingruber 2012-09-12 13:50:12 UTC
*** Bug 306665 has been marked as a duplicate of this bug. ***
Comment 9 Myriam Schweingruber 2012-10-19 18:29:22 UTC
*** Bug 308650 has been marked as a duplicate of this bug. ***
Comment 10 Myriam Schweingruber 2012-10-20 12:23:55 UTC
(In reply to comment #9)
> *** Bug 308650 has been marked as a duplicate of this bug. ***

Backtrace from this report, using 4.6.2:

Thread 9 (Thread 0x7f1201658700 (LWP 13537)):
[KCrash Handler]
#6  0x00007f1269db2445 in __GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f1269db5bab in __GI_abort () at abort.c:91
#8  0x00007f126a6c25bb in qt_message_output (msgType=<optimized out>, buf=0x7f11f800fe18 "ASSERT failure in QVector<T>::operator[]: \"index out of range\", file /usr/include/qt4/QtCore/qvector.h, line 359") at global/qglobal.cpp:2284
#9  0x00007f126a6c296f in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=QtFatalMsg, msg=0x7f126a82ff98 "ASSERT failure in %s: \"%s\", file %s, line %d", ap=0x7f1201656d08) at global/qglobal.cpp:2330
#10 0x00007f126a6c2b14 in qFatal (msg=<optimized out>) at global/qglobal.cpp:2513
#11 0x00007f1250deb5b4 in operator[] (i=243, this=0x224a0a8) at /usr/include/qt4/QtCore/qvector.h:359
#12 Phonon::Gstreamer::AudioDataOutput::processBuffer (buffer=<optimized out>, gThat=0x224a020) at ../../gstreamer/audiodataoutput.cpp:162
#13 0x00007f12640feca2 in g_closure_invoke (closure=0x224ac00, return_value=0x0, n_param_values=3, param_values=0x7f1201657110, invocation_hint=<optimized out>) at /build/buildd/glib2.0-2.32.3/./gobject/gclosure.c:777
#14 0x00007f126410fd71 in signal_emit_unlocked_R (node=<optimized out>, detail=0, instance=<optimized out>, emission_return=0x0, instance_and_params=0x7f1201657110) at /build/buildd/glib2.0-2.32.3/./gobject/gsignal.c:3547
#15 0x00007f1264118099 in g_signal_emit_valist (instance=0x224a350, signal_id=<optimized out>, detail=0, var_args=<optimized out>) at /build/buildd/glib2.0-2.32.3/./gobject/gsignal.c:3296
#16 0x00007f1264118242 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at /build/buildd/glib2.0-2.32.3/./gobject/gsignal.c:3352
#17 0x00007f12467c49cc in gst_fake_sink_render (bsink=0x224a350, buf=0x7f11fc0fa0a0) at gstfakesink.c:538
#18 0x00007f125c98d0cb in gst_base_sink_render_object (basesink=0x224a350, obj_type=<optimized out>, obj=0x7f11fc0fa0a0, pad=<optimized out>) at gstbasesink.c:3014
#19 0x00007f125c98f7af in gst_base_sink_queue_object_unlocked (basesink=0x224a350, obj_type=2 '\002', obj=0x7f11fc0fa0a0, prerollable=<optimized out>, pad=<optimized out>) at gstbasesink.c:3295
#20 0x00007f125c98fb17 in gst_base_sink_chain_unlocked (basesink=0x224a350, obj_type=2 '\002', obj=0x7f11fc0fa0a0, pad=<optimized out>) at gstbasesink.c:3677
#21 0x00007f125c98fed8 in gst_base_sink_chain_main (basesink=0x224a350, pad=0x2232ab0, obj_type=2 '\002', obj=0x7f11fc0fa0a0) at gstbasesink.c:3715
#22 0x00007f125c6e022a in gst_pad_chain_data_unchecked (cache=0x7f1201657a20, data=0x7f11fc0fa0a0, is_buffer=1, pad=0x2232ab0) at gstpad.c:4271
#23 gst_pad_push_data (pad=<optimized out>, is_buffer=1, data=0x7f11fc0fa0a0, cache=<optimized out>) at gstpad.c:4506
#24 0x00007f125c6e3ae6 in gst_pad_push (pad=0x224c530, buffer=0x7f11fc0fa0a0) at gstpad.c:4730
#25 0x00007f125c99d8c8 in gst_base_transform_chain (pad=<optimized out>, buffer=<optimized out>) at gstbasetransform.c:2658
#26 0x00007f125c6e022a in gst_pad_chain_data_unchecked (cache=0x7f1201657b50, data=0x7f11fc0fa0a0, is_buffer=1, pad=0x224c3b0) at gstpad.c:4271
#27 gst_pad_push_data (pad=<optimized out>, is_buffer=1, data=0x7f11fc0fa0a0, cache=<optimized out>) at gstpad.c:4506
#28 0x00007f125c6e3ae6 in gst_pad_push (pad=0x224c230, buffer=0x7f11fc0fa0a0) at gstpad.c:4730
#29 0x00007f125c99d8c8 in gst_base_transform_chain (pad=<optimized out>, buffer=<optimized out>) at gstbasetransform.c:2658
#30 0x00007f125c6e022a in gst_pad_chain_data_unchecked (cache=0x7f1201657c80, data=0x364a8b0, is_buffer=1, pad=0x224c0b0) at gstpad.c:4271
#31 gst_pad_push_data (pad=<optimized out>, is_buffer=1, data=0x364a8b0, cache=<optimized out>) at gstpad.c:4506
#32 0x00007f125c6e3ae6 in gst_pad_push (pad=0x2232db0, buffer=0x364a8b0) at gstpad.c:4730
#33 0x00007f12467dbdeb in gst_queue_push_one (queue=0x222a830) at gstqueue.c:1156
#34 gst_queue_loop (pad=<optimized out>) at gstqueue.c:1264
#35 0x00007f125c709dcc in gst_task_func (task=0x7f11fc0a1cc0) at gsttask.c:327
#36 0x00007f1264a83248 in g_thread_pool_thread_proxy (data=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gthreadpool.c:309
#37 0x00007f1264a829e5 in g_thread_proxy (data=0x7f11fc005ad0) at /build/buildd/glib2.0-2.32.3/./glib/gthread.c:801
#38 0x00007f126657ce9a in start_thread (arg=0x7f1201658700) at pthread_create.c:308
#39 0x00007f1269e6fdbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#40 0x0000000000000000 in ?? ()
Comment 11 Harald Sitter 2012-10-20 13:07:22 UTC
I could use a test file.
Comment 12 Harald Sitter 2012-10-20 15:28:30 UTC
Also a debug log
http://techbase.kde.org/Development/Tutorials/Debugging/Phonon
Comment 13 Myriam Schweingruber 2012-11-20 12:49:04 UTC
*** Bug 308044 has been marked as a duplicate of this bug. ***
Comment 14 Harald Sitter 2012-12-03 13:50:57 UTC
Git commit acba452b6fba8356ee780058fae21bd7eb7674b4 by Harald Sitter.
Committed on 03/12/2012 at 14:50.
Pushed by sitter into branch '4.6'.

backport ADO asserts for 4.6.3 to help with debugging

M  +5    -0    gstreamer/audiodataoutput.cpp

http://commits.kde.org/phonon-gstreamer/acba452b6fba8356ee780058fae21bd7eb7674b4
Comment 15 Myriam Schweingruber 2012-12-03 13:54:27 UTC
Dear all who can reproduce this bug with the current phonon-backend-gtreamer 4.6.2, please have a look at the comments #11 and #12. We really need a test file and a debug log with all debugging parameters enabled, as described in http://techbase.kde.org/Development/Tutorials/Debugging/Phonon. Without that it is almost impossible to fix this bug.
Comment 16 Myriam Schweingruber 2012-12-27 22:00:42 UTC
*** Bug 312277 has been marked as a duplicate of this bug. ***
Comment 17 Myriam Schweingruber 2013-03-13 22:20:45 UTC
*** Bug 316678 has been marked as a duplicate of this bug. ***
Comment 18 Myriam Schweingruber 2013-04-13 12:54:03 UTC
*** Bug 309629 has been marked as a duplicate of this bug. ***
Comment 19 Jekyll Wu 2013-12-30 13:10:52 UTC
*** Bug 329424 has been marked as a duplicate of this bug. ***
Comment 20 Myriam Schweingruber 2014-08-10 09:35:54 UTC
Closing for lack of feedback. If anybody can reproduce this with current phonon-backend-gstreamer 4.7.2 and gstreamer 1.0 libraires and plugins please open a new report, providing all the feedback needed as described in Comment #15
Comment 21 Alex Elsayed 2014-08-10 11:09:04 UTC
(In reply to Myriam Schweingruber from comment #20)
> Closing for lack of feedback. If anybody can reproduce this with current
> phonon-backend-gstreamer 4.7.2 and gstreamer 1.0 libraires and plugins
> please open a new report, providing all the feedback needed as described in
> Comment #15

Pardon, but git seems to indicate that GStreamer-1.x support has not yet been merged to phonon-gstreamer master (HEAD = 9dabadf41565a9bf35e5a7328dab8ea08b953506), much less backported into the 4.7 series (4.7 HEAD = 610de0ec5d6cbbf2a6a3ec937ed013ccf31eee66). I don't dispute the closing, but if anyone _does_ still experience this then reproducing with 4.7.2 and GStreamer-1.x might prove somewhat difficult.
Comment 22 Myriam Schweingruber 2014-12-19 18:03:51 UTC
*** Bug 342035 has been marked as a duplicate of this bug. ***
Comment 23 Myriam Schweingruber 2015-10-10 14:38:23 UTC
*** Bug 353739 has been marked as a duplicate of this bug. ***